summarylogtreecommitdiffstats
path: root/zfs.install
diff options
context:
space:
mode:
Diffstat (limited to 'zfs.install')
-rw-r--r--zfs.install8
1 files changed, 8 insertions, 0 deletions
diff --git a/zfs.install b/zfs.install
new file mode 100644
index 000000000000..c2a2d7807e6d
--- /dev/null
+++ b/zfs.install
@@ -0,0 +1,8 @@
+post_remove() {
+ MK_CONF=$(grep -v '#' /etc/mkinitcpio.conf | grep zfs >/dev/null; echo $?);
+ if [[ ${MK_CONF} == '0' && $1 == 'remove' ]]; then
+ echo '>>> The ZFS packages have been removed, but "zfs" remains in the "hooks"'
+ echo '>>> list in mkinitcpio.conf! You will need to remove "zfs" from the '
+ echo '>>> "hooks" list and then regenerate the initial ramdisk.'
+ fi
+}